Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mayar.id/llms.txt

Use this file to discover all available pages before exploring further.

curl --request GET 'https://api.mayar.id/credit/v1/credit/customer/balance?customerId=9de4b4b4-525c-4ee0-ac9c-b29c3e10fe55&productId=2b649982-411e-42e0-9b9c-0a17f9a55d44' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data ''
{
    "statusCode": 200,
    "message": "success",
    "customerBalance": 30001,
    "customerMainBalance": 29801,
    "customerBalanceAddon": 500
}
Endpoint:
https://api.mayar.id/credit/v1/credit/customer/balance?customerId={customerID}

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameters

productId
string
required
The unique identifier of the product associated with the credit balance.
customerId
string
The unique identifier of the customer whose credit balance is being queried balance.

Response

Successful Response
statusCode
integer
Indicates the status of the activation process.
message
string
Additional messages related to the activation process.
customerBalance
float
Number of total credit balance.
customerBalanceMain
float
Number of total credit balance with MAIN type.
customerBalanceAddon
float
Number of total credit balance with ADD_ON type.